대화의 편지
GET
/v1/mailboxes/{mailbox_id}/threads/{thread_id}선택한 대화의 이전 문자부터 새 문자까지 최대 100자를 반환합니다. 대화 상자 목록에서 thread_id을 전달합니다. 이미 삭제되었거나 더 이상 사용할 수 없는 이메일은 응답에 포함되지 않습니다.
요구
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/threads/<thread_id>' \ -H 'Authorization: Bearer <access_token>'옵션
mailbox_idpath반드시integerthread_idpath반드시stringX-Customer-IDheader- 옵션 1
string옵션 2null
응답
200 성공적인 응답
application/json
array
배열 요소
object
uidintegeruidvalidityintegerfolderstringmessage_idstringthread_idstringsenderstringrecipientsarray배열 요소objectnamestringemailstring
subjectstringpreviewstringflagsarray배열 요소stringsize_bytesintegerreceived_atstringUTC.의 날짜 및 시간 오프셋이 없으면 값은 UTC.도 나타냅니다.
textstringhtmlstringattachmentsarray배열 요소objectindexintegerfilenamestringcontent_typestringsize_bytesinteger
ccarray배열 요소objectnamestringemailstring
referencesstringreply_tostring
401 로그인이 필요합니다
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object
403 접근 불가
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object
404 리소스를 찾을 수 없습니다.
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object
409 국가 갈등
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object
422 유효성 검사 오류
application/json
object
detailarray배열 요소objectloc반드시array배열 요소옵션 1string옵션 2integermsg반드시stringtype반드시string
503 일시적인 이용 불가
application/json
object
detail- 옵션 1
string옵션 2objectcodestringmessagestring
옵션 3array배열 요소object